Catmandu::Fix::retain(3pm)

NAME
Catmandu::Fix::retain - delete everything except the paths given

SYNOPSIS
   # Keep the field _id , name , title
   retain(_id , name, title)

   # Delete everything except foo.bar
   #   {bar => { x => 1} , foo => {bar => 1, y => 2}}
   # to
   #   {foo => {bar => 1}}
   retain(foo.bar)

SEE ALSO
Catmandu::Fix